Subject: enable-sigdashes 3.95 patch

From: [email-masked] (Tim Mooney)
Date: 2 Sep 1996 22:32:22 -0500

As I mentioned in a previous post, one of the things I think pine needs is
an `enable-sigdashes' option, so that when appending a signature pine
automatically places a "-- " on the line preceding the signature.

Here's the patch I came up with to add an enable-sigdashes option to pine
3.95.  I didn't spend a lot of time on it, so it could be (and probably is)
buggy.  Use at your own risk.

I tried for a couple minutes to add help text, but couldn't get the text
I had added to appear when the ? key was pressed, so I left the help text
out.

*** pine3.95/pine/init.c.orig	Sun Sep  1 22:27:17 1996
--- pine3.95/pine/init.c	Sun Sep  1 22:30:10 1996
***************
*** 1361,1366 ****
--- 1361,1367 ----
  	{"enable-mouse-in-xterm",		F_ENABLE_MOUSE},
  	{"enable-newmail-in-xterm-icon",	F_ENABLE_XTERM_NEWMAIL},
  	{"enable-suspend",			F_CAN_SUSPEND},
+ 	{"enable-sigdashes",			F_ENABLE_SIGDASHES},
  	{"enable-tab-completion",		F_ENABLE_TAB_COMPLETE},
  	{"enable-unix-pipe-cmd",		F_ENABLE_PIPE},
  	{"enable-verbose-smtp-posting",		F_VERBOSE_POST},
*** pine3.95/pine/reply.c.orig	Mon Sep  2 22:22:35 1996
--- pine3.95/pine/reply.c	Mon Sep  2 22:23:28 1996
***************
*** 2537,2542 ****
--- 2537,2546 ----
  	    sig = fs_get(strlen(tmp_sig) + 10);
  	    strcpy(sig, NEWLINE);
  	    strcat(sig, NEWLINE);
+     	if(F_ON(F_ENABLE_SIGDASHES, ps_global)){
+ 	    	strcat(sig, "-- ");
+ 	    	strcat(sig, NEWLINE);
+ 		}
  	    strcat(sig, tmp_sig);
  	    fs_give((void **)&tmp_sig);
  	}
*** pine3.95/pine/pine.h.orig	Mon Sep  2 22:22:52 1996
--- pine3.95/pine/pine.h	Sun Sep  1 22:41:56 1996
***************
*** 1153,1159 ****
  #define	F_FROM_DELIM_IN_PRINT	   80
  #define	F_BACKGROUND_POST	   81
  #define	F_ALLOW_GOTO		   82
! #define F_LAST_FEATURE		   82		 /* RESET WITH NEW FEATURES */
  
  #if (F_LAST_FEATURE > (LARGEST_BITMAP - 1))
     Whoa!  Too many features!
--- 1153,1160 ----
  #define	F_FROM_DELIM_IN_PRINT	   80
  #define	F_BACKGROUND_POST	   81
  #define	F_ALLOW_GOTO		   82
! #define	F_ENABLE_SIGDASHES		83
! #define F_LAST_FEATURE		   83		 /* RESET WITH NEW FEATURES */
  
  #if (F_LAST_FEATURE > (LARGEST_BITMAP - 1))
     Whoa!  Too many features!
-- 
Tim Mooney                              [email-masked]
Information Technology Services         (701) 231-1076 (Voice)
Room 242-J1, IACC Bldg.                 (701) 231-8541 (FAX)
North Dakota State University, Fargo, ND 58105